Bug 754064 - Review Request: python-mimeparse - Python module providing basic functions for parsing mime-type names
Summary: Review Request: python-mimeparse - Python module providing basic functions fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-15 10:37 UTC by Jan Kaluža
Modified: 2012-07-12 22:31 UTC (History)
11 users (show)

Fixed In Version: python-mimeparse-0.1.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:39:49 UTC
Type: ---
jskarvad: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Kaluža 2011-11-15 10:37:42 UTC
Spec URL: http://jkaluza.fedorapeople.org/python-mimeparse.spec
SRPM URL: http://jkaluza.fedorapeople.org/python-mimeparse-0.1.3-1.fc15.src.rpm
Description:

Hi,
I've finished packaging of python-mimeparse Python module. This module provides basic functions for parsing mime-type names and matching them against a list of media-ranges.

I need it as dependency for https://restauth.net to be able to pack this project too.

$ rpmlint python-mimeparse-0.1.3-1.fc15.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint *mimeparse*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jaroslav Škarvada 2011-11-20 20:55:46 UTC
MUST items:
[YES] rpmplint is silent
[YES] Package meets naming guidelines.
[!] Package meets packaging guidelines.
  CFLAGS are set for the python3 build but not for the python2* build.
  Maybe it is not needed at all, but I am not sure about it.

[YES] Spec file matches base package name.
[YES] Licensing Guidelines are met.
[YES] Spec file is legible and in American English.
  I would prefer summary like: "Python module for parsing mime-type names" or similar.

[YES] Sources match upstream.
[YES] Package builds OK.
[!] BuildRequires are correct.
I cannot find the python-setuptools-devel in rawhide.
Is the python-setuptools really needed? It seems to build OK without it.

[YES] Package doesn't bundle copies of system libraries.
[YES] Package owns all the directories it creates.
[YES] Package has no duplicity in %files.
[YES] Permission on files are set properly.
[NO] Spec file has consistant macro usage.
  Please use %{optflags} instead of $RPM_OPT_FLAGS or $RPM_BUILD_ROOT instead of %{buildroot}.
[YES] Package is code or permissable content.
[YES] %doc files don't affect runtime.
[YES] Package doesn't own files/directories that other packages own.
[YES] All files are valid UTF-8.

Should items:
[YES] Package builds in mock.
[YES] Package uses sane scriptlets.
[NO] If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
  Please query the upstream about it.
[YES] Simple functionality test passed.
  
It seems there are several packages that bundle this lib:
django-authopenid
python-paste
python3-paste
django-authenticator
askbot

I am not sure if it is possible to unbundle the lib in all of them (maybe it is
forked), but I am CCing the maintainers to at least let them know.

Some more comments:
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
is probably not needed any more.

The defattr is also not needed.

AFAIK the above have only sense if it is planned to package for RHEL-5 EPEL. If so there should be also more additions (e.g. %clean section, ...).

Please consider running the included test as part of the build process.

Comment 2 Matthias Runge 2011-11-21 13:20:24 UTC
Thanks for the heads-uo. Earlier I contacted upstream for django-authenticator (and askbot,...) to clarify unbundling.

Comment 3 Jan Kaluža 2011-11-22 10:03:58 UTC
Thanks for reviewing, here is updated spec file and new srpm:

Spec URL: http://jkaluza.fedorapeople.org/python-mimeparse.spec
SRPM URL: http://jkaluza.fedorapeople.org/python-mimeparse-0.1.3-2.fc16.src.rpm

I've found out that python-mimeparse doesn't work correctly with python3, so I disabled building it by setting "with_python3 0". I would like to keep the support for python3 builds there (even in disabled form) to not have to write it again once upstream will support python3.

> [!] Package meets packaging guidelines.
>   CFLAGS are set for the python3 build but not for the python2* build.
>   Maybe it is not needed at all, but I am not sure about it.

It's not needed at all, because there's no compilation, but I would like to keep it there just to be sure in the future. I've added it to python2 build too.
 
>   I would prefer summary like: "Python module for parsing mime-type names" or
> similar.

Added.
 
> [!] BuildRequires are correct.
> I cannot find the python-setuptools-devel in rawhide.
> Is the python-setuptools really needed? It seems to build OK without it.

Hm, I'm not sure why I added it there. Probably copied from another spec file. I removed those requires.

> [NO] Spec file has consistant macro usage.
>   Please use %{optflags} instead of $RPM_OPT_FLAGS or $RPM_BUILD_ROOT instead
> of %{buildroot}.

Fixed.

> [NO] If the source package does not include license text(s) as a separate file
> from upstream, the packager SHOULD query upstream to include it.
>   Please query the upstream about it.

Asked upstream:
https://code.google.com/p/mimeparse/issues/detail?id=14&thanks=14&ts=1321955989

> Some more comments:
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib()")}
> is probably not needed any more.
> The defattr is also not needed.

Removed
 
> Please consider running the included test as part of the build process.

I run it now.

Comment 4 Jaroslav Škarvada 2011-11-24 16:16:17 UTC
It looks good for me, I am giving review +. Small nitpick: there is typo in changelog: "directivers".

Comment 5 Jan Kaluža 2011-11-25 12:24:07 UTC
New Package SCM Request
=======================
Package Name: python-mimeparse
Short Description: Python module for parsing mime-type names
Owners: jkaluza
Branches: f15 f16
InitialCC: jskarvad

Comment 6 Gwyn Ciesla 2011-11-27 22:01:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-11-29 12:23:58 UTC
python-mimeparse-0.1.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mimeparse-0.1.3-2.fc16

Comment 8 Fedora Update System 2011-11-29 12:25:39 UTC
python-mimeparse-0.1.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-mimeparse-0.1.3-2.fc15

Comment 9 Fedora Update System 2011-11-30 01:54:01 UTC
python-mimeparse-0.1.3-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-12-10 19:39:49 UTC
python-mimeparse-0.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2011-12-10 20:02:55 UTC
python-mimeparse-0.1.3-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Steve Traylen 2012-05-31 09:28:19 UTC
Package Change Request
======================
Package Name: python-mimeparse
New Branches: el6
Owners: stevetraylen

The current fedora owner is happy for me maintain the EPEL branch
see Bug #824455

Comment 13 Gwyn Ciesla 2012-05-31 13:14:20 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-06-04 14:37:20 UTC
python-mimeparse-0.1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-mimeparse-0.1.3-3.el6

Comment 15 Fedora Update System 2012-07-12 22:31:07 UTC
python-mimeparse-0.1.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.